Security Enhanced Linux Reference Policy

# Layer: services

## Module: kerneloops

Interfaces

### Description:

Service for reporting kernel oopses to kerneloops.org

### Interfaces:

kerneloops_admin( domain , role )

##### Summary

All of the rules required to administrate an kerneloops environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the kerneloops domain.

kerneloops_dbus_chat( domain )

##### Summary

Send and receive messages from kerneloops over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kerneloops_domtrans( domain )

##### Summary

Execute a domain transition to run kerneloops.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kerneloops_dontaudit_dbus_chat( domain )

##### Summary

dontaudit attempts to Send and receive messages from kerneloops over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kerneloops_manage_tmp_files( domain )

##### Summary

Allow domain to manage kerneloops tmp files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

Return